<?php

/*

 $Id: abuse.php,v 1.6 2003/06/27 21:19:52 vollmerk Exp $
 $Source: /data/cvsroot/maintain/modules/class/abuse.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software  
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Abuse Class
	This is the abuse object, it's a gathering point for the abuse mojo

*/

class Abuse {

	var $to;                   //to address
	var $host_id;              //the host we are reporting
	var $bandwidth_report;     //the bandwidth information
	var $date; 		   //date of incident
	var $content;		   //the final message 	

	function Abuse () {

		//not much to do here...		

	} // Abuse

	//find the owner address for the specific host.
	function get_owner($host_id) {
                global $conf;

		$info = $conf['modules']->get_info("abuse"); 

		//create the needed host object
		$host = new Host($host_id);
        
	        $zone = $host->zone->id;
		
                $sql = "SELECT * FROM zone_user WHERE zone='$zone' AND level='50'";
		
                $db_results = mysql_query($sql, $conf['dbh']);

	        while ($object = mysql_fetch_object($db_results)) {

			//if there is already something there then add a comman (multiple addresses)
			if ($this->to) { $this->to .= ","; }

			//set the var + $info['domain']
	                $this->to .= $object->username . $info['domain'];
		}
	} //get_owner 

	//generates the default information for a report
	function generate_report($flo,$host_id=0) {
		global $conf;

		$flows = $flo->get_host_flows($flo->ip);

		foreach ($flows as $flo) {
			$flo->date = date("m\/d\/y",$flo->date);
			$flo_report .= $flo->date . "\t" . intval($flo->in_kb/1024) . "\t\t\t" .
			intval($flo->out_kb/1024) . "\t\t\t" . intval($flo->in_packets) . "\t\t" .
			intval($flo->out_packets) . 
			"\n";
			
		} //end of foreach flows

		if ($host_id) {
		//first dump the host information
		$host_info = "\n[HOST INFORMATION]\n" .
			"Hostname:". $flo->host->hostname . "\n" .
			"IP Address:" . $flo->host->ip->ip_addr . "\n" .
			"Domain:". $flo->host->domain->name . "\n" .
			"Hardware Address:" . $flo->host->ha ."\n" .
			"Operating System:" . $flo->host->os . "\n" .
			"Hardware Type:" . $flo->host->type . "\n" .
			"Location:" . $flo->host->location . "\n" .
			"Serial:" . $flo->host->location . "\n" .
			"Other ID:" . $flo->host->other_id . "\n" .
			"Zone:" . $flo->host->zone->name . "\n";
	 	} 
		$flo_info = "\n[BANDWIDTH INFORMATION]\n" .
		"Date\t\tInbound MB\tOutbound MB\tInbound Packets\t\tOutbound Packets\n" .
		$flo_report;
		

		$report = $host_info . $flo_info;
		//return the report
		return $report;

	} //generate_report


	//e-mails the specified onid account a abuse report
	function send_report($to,$cc,$subject,$body) {
		global $conf;
		
		$info = $conf['modules']->get_info("abuse"); 

		$headers .= "From: " . $info['from'] . "\r\n";
		
		
		$headers .= "Cc: ". $cc . "\r\n";

		$body = stripslashes($body);

		mail($to, $subject, $body, $headers);
	
		

	} //send_report

} // class Abuse
?>
