<?php

/*

 $Id: show_host_history.inc,v 1.6 2003/12/22 19:43:05 vollmerk Exp $
 $Source: /data/cvsroot/maintain/templates/show_host_history.inc,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*!
	@header Host History
	This page shows the history for said HA or IP. 

*/


// Setup any vars we got
$host = new Host($host_id);
$ip = new IP(0);

// Get the history, checks $this->id, then $ip_int then $ha
$host_history = $host->get_host_history($ip_int,$ha);

// Set the title depending on how they are searching
if ($host_id) { 
	$title = "History of $host->hostname"; 
	$title .=" <a href=\"" . $conf['web_path'] . "/host.php?action=show_host&amp;action_type=read&amp;host_id=$host_id\">[Show Host]</a>";
	}
elseif ($ip_int) { $title = "History of " . $ip->int2ip($ip_int); }
elseif ($ha) { $title = "History of $ha"; }

if (count($host_history)) {

?>
<br /><br />
<? show_template('tborder'); ?> 
<table border="0" cellpadding="3" cellspacing="0" bgcolor="<?= $conf['color']->bg['dark_bgcolor']; ?>" width="100%">
	<tr class="widget-title">
		<td colspan="3"><?= $title; ?></td>
	</tr>
	<tr bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>" align="center">
		<td>IP Address</td>
		<td>Hardware Address</td>
		<td>Date</td>
	</tr>
<? foreach ($host_history as $data) { ?>
	<tr align="center" bgcolor="<? $conf['ui']->alternate_bgcolor(); ?>">
		<td><?= $conf['ui']->display_field($ip->int2ip($data->ip)); ?></td>
		<td>
			<a href="<?= $conf['web_path']; ?>/search.php?search_string=<?= $data->ha; ?>&search_type=fuzzy&search_field=ha&action=search_hosts&search_zone=all">
			<?= $conf['ui']->display_field($data->ha); ?>
			</a>
		</td>
		<td><?= $conf['ui']->display_field(date("F j, Y g:i a",$data->date)); ?></td>
	</tr>
<? } ?>
</table>
<? 
show_template('bborder'); 

} // if count(host_history)

else { 
?>

<p align="center" class="fatalerror">No Host History</p>


<? } ?>

